## typo3-src 4.5.15+dfsg1

=== debian/changelog ===
typo3-src (4.5.15+dfsg1-2) unstable; urgency=low

  * Install localconf.php as localconf.php_template, and create localconf.php
    from it at install time. (Closes: 666237)
  * Added support for apache2.4, protected apache2.2 commands by check for
    apache2.2-common. (Closes: 669793, 618381)
  * Updated README.debian files. (Closes: 614140)

 -- Christian Welzel <gawain@camlann.de>  Sun, 22 Apr 2012 14:54:15 +0200

typo3-src (4.5.15+dfsg1-1) unstable; urgency=medium

  * New upstream release:
    - fixes: "TYPO3 Security Bulletin TYPO3-CORE-SA-2012-002: Cross-Site
      Scripting Vulnerability in TYPO3 Core" (Closes: 669158)
  * Database update for field uc in be_users.
  * Added bugfix patch for TYPO3 bug #36238.
  * Added patch for errors with PHP 5.4
  * Move Homepage field to source package.
  * Added Vcs-Git, changed Vcs-Browser to point to github
  * changed Homepage field to typo3.org
  * Cleanup of watch file.
  * Added comments to lintian overrides.
  * Raised compat level to 7.
  * Deleted typo3-src-4.5.examples because its empty.
  * Removed numbering from patches, changed order to alphabetical.
  * Changed index.html files to print warning about directory listing only,
    not redirect anymore.
  * Disable directory listing globally in apache config.

 -- Christian Welzel <gawain@camlann.de>  Sat, 21 Apr 2012 12:32:23 +0200
