=== debian/control ===
Source: typo3-src
Section: web
Priority: optional
Maintainer: Christian Welzel <gawain@camlann.de>
Build-Depends: debhelper (>= 7), po-debconf
Standards-Version: 3.9.3
Homepage: http://www.typo3.org
Vcs-Git: git://github.com/sir-gawain/debian-typo3.git
Vcs-Browser: https://github.com/sir-gawain/debian-typo3

Package: typo3-src-4.5
Architecture: all
Depends: libjs-swfobject, libjs-prototype (>=1.6.0), libjs-scriptaculous (>=1.8.1), libphp-adodb (>=5.07), libphp-swiftmailer (>=4.0.6), ttf-bitstream-vera, ${misc:Depends}
Recommends: exim4 | mail-transport-agent, graphicsmagick, php5, php5-cli, php5-gd, php5-mysql, php5-xcache | php-apc, typo3-database, typo3-dummy
Suggests: catdoc, ghostscript, php5-curl, ppthtml, unrtf, xlhtml, xpdf-utils
Description: web content management system (core)
 TYPO3 is a free Open Source content management system for enterprise purposes
 on the web and in intranets. It offers full flexibility and extendability while
 featuring an accomplished set of ready-made interfaces, functions and modules.
 .
 The most important key features of TYPO3 are:
  * Simple creation of multi language websites with fallback to a default
    language
  * Handling of multi domain websites within a single page tree
  * Multi user backend editing with complete GUI customisation using an
    advanced ACL system
  * An integrated workflow management system based on an multi step architecture
    with editor and supervisor privileges
  * Unlimited redefinition of the rendering process using the build-in
    TypoScript configuration interface or the plugin API
  * Thousands of plugins are available in the online TYPO3 extension repository
 .
 This package provides the core engine of TYPO3, often called The Source.

Package: typo3-database
Architecture: all
Depends: mysql-server, dbconfig-common (>= 1.8.39), debconf, ${misc:Depends}
Recommends: typo3-dummy, typo3-src-4.5
Description: web content management system (database)
 TYPO3 is a free Open Source content management system for enterprise purposes
 on the web and in intranets. It offers full flexibility and extendability while
 featuring an accomplished set of ready-made interfaces, functions and modules.
 .
 The most important key features of TYPO3 are:
  * Simple creation of multi language websites with fallback to a default
    language
  * Handling of multi domain websites within a single page tree
  * Multi user backend editing with complete GUI customisation using an
    advanced ACL system
  * An integrated workflow management system based on an multi step architecture
    with editor and supervisor privileges
  * Unlimited redefinition of the rendering process using the build-in
    TypoScript configuration interface or the plugin API
  * Thousands of plugins are available in the online TYPO3 extension repository
 .
 This package provides the basic structure and some predefined datasets of a
 TYPO3 database. You should install this package on the host you intend to
 run the TYPO3 database on.

Package: typo3-dummy
Architecture: all
Depends: exim4 | mail-transport-agent, dbconfig-common, debconf, graphicsmagick, lsb-base (>= 3.0-6), php5, php5-cli, php5-gd, php5-mysql, typo3-src-4.5, ${misc:Depends}
Recommends: apache2 | http, catdoc, ghostscript, memcached, php5-curl, php5-memcache, php5-suhosin, php5-xcache | php-apc, ppthtml, typo3-database, unrtf, xlhtml, xpdf-utils
Description: web content management system (basic site structure)
 TYPO3 is an enterprise-level content management system for use on the web
 and in intranets. It is flexible, extensible, and well supplied with
 ready-made interfaces, functions, and modules.
 .
 Its key features are:
  * simple creation of multi-language websites with fallback to a default
    language;
  * handling of multi-domain websites within a single page tree;
  * multi-user backend editing via a completely customizable GUI using an
    advanced ACL system;
  * an integrated workflow management system based on a multi-tier
    architecture with editor and supervisor privileges;
  * unlimited redefinition of the rendering process using the built-in
    TypoScript configuration interface or the plugin API;
  * thousands of plugins available in the online TYPO3 extension repository.
 .
 This package provides the basic directory structure to start a fresh
 website based on TYPO3. It includes scripts to register the site in
 Apache, with a default configuration intended for single vhost
 installations. TYPO3 can also be configured to work with several vhosts
 and a single src-dir, but such setups require some manual configuration.

Package: typo3
Architecture: all
Depends: typo3-database, typo3-dummy, typo3-src-4.5, ${misc:Depends}
Description: web content management system (meta)
 TYPO3 is a free Open Source content management system for enterprise purposes
 on the web and in intranets. It offers full flexibility and extendability while
 featuring an accomplished set of ready-made interfaces, functions and modules.
 .
 The most important key features of TYPO3 are:
  * Simple creation of multi language websites with fallback to a default
    language
  * Handling of multi domain websites within a single page tree
  * Multi user backend editing with complete GUI customisation using an
    advanced ACL system
  * An integrated workflow management system based on an multi step architecture
    with editor and supervisor privileges
  * Unlimited redefinition of the rendering process using the build-in
    TypoScript configuration interface or the plugin API
  * Thousands of plugins are available in the online TYPO3 extension repository
 .
 This package is a metapackage and depends on all TYPO3 packages that are
 necessary to build a local running TYPO3 installation.
