## typo3-src 4.5.16+dfsg2

=== debian/changelog ===
typo3-src (4.5.16+dfsg2-1) unstable; urgency=low

  * Cleanup of build target.
  * Removes embeded swfupload and adds depend on libjs-swfupload.
  * Moved source code for multimedia players from patches to debian/contrib/
  * Moved source code for modernizr from patches to debian/contrib/
  * Remove typo3/contrib/extjs/resources/charts.swf because of missing source.
  * Added source of typo3/contrib/svgweb.
  * Build svgweb javascript from source.
  * Make get-orig-source use gzip -9.

 -- Christian Welzel <gawain@camlann.de>  Sat, 26 May 2012 09:40:17 +0200
