## typo3-src 4.5.16+dfsg3

=== debian/changelog ===
typo3-src (4.5.16+dfsg3-1) unstable; urgency=low

  * Remove jslint.js because of non free license.

 -- Christian Welzel <gawain@camlann.de>  Mon, 28 May 2012 16:56:48 +0200
