## typo3-src 4.5.19+dfsg1

=== debian/changelog ===
typo3-src (4.5.19+dfsg1-5) unstable; urgency=low

  * Added patch for TYPO3-SA-2013-001. (Closes: #702574)
  * Set patch level version to -pl.4.5.25.

 -- Christian Welzel <gawain@camlann.de>  Fri, 08 Mar 2013 17:02:05 +0100

typo3-src (4.5.19+dfsg1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "copyright file missing after upgrade (policy 12.5)":
    replace directory with symlink in typo3.postinst.
    Thanks Andreas Beckmann for the bug report and the template for the fix.
    (Closes: #698631)

 -- gregor herrmann <gregoa@debian.org>  Mon, 28 Jan 2013 21:23:03 +0100

typo3-src (4.5.19+dfsg1-4) unstable; urgency=medium

  * Added patch for regression introduced by TYPO3-SA-2012-5-patch.
  * Set patch level version to -pl.4.5.22.

 -- Christian Welzel <gawain@camlann.de>  Tue, 13 Nov 2012 12:04:00 +0100

typo3-src (4.5.19+dfsg1-3) unstable; urgency=medium

  * Added patch for TYPO3-SA-2012-5 (Closes: #692775)
  * Set patch level version to -pl.4.5.21.

 -- Christian Welzel <gawain@camlann.de>  Thu, 08 Nov 2012 22:04:00 +0100

typo3-src (4.5.19+dfsg1-2) unstable; urgency=low

  * Added rsaauth and saltedpasswords to the list of installed extensions and
    change owner and permissions of generated localconf.php in postinst.
    (Closes: 689329)

 -- Christian Welzel <gawain@camlann.de>  Wed, 10 Oct 2012 15:09:57 +0200

typo3-src (4.5.19+dfsg1-1) unstable; urgency=high

  * New upstream release:
    - fixes: "TYPO3 Security Bulletin TYPO3-CORE-SA-2012-004: Several
      Vulnerabilities in TYPO3 Core" (Closes: 685011)

 -- Christian Welzel <gawain@camlann.de>  Wed, 15 Aug 2012 22:40:03 +0200

typo3-src (4.5.17+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Added all linked external resources to open_basedir.
  * Increased max_post_size to match upload_max_filesize (both 10M now)
  * Removed PHP safe_mode options as they are removed from PHP 5.4 (and
    cause errors with external resources and the TYPO3 compressor)
  * Removed E_STRICT patch for PHP 5.4 (applied upstream).

 -- Christian Welzel <gawain@camlann.de>  Thu, 05 Jul 2012 22:40:03 +0200
