=== debian/control ===
--- 
+++ 
@@ -59,7 +59,7 @@
 
 Package: typo3-dummy
 Architecture: all
-Depends: exim4 | mail-transport-agent, dbconfig-common, debconf, graphicsmagick, lsb-base (>= 3.0-6), php5, php5-cli, php5-gd, php5-mysql, typo3-src-4.5, ${misc:Depends}
+Depends: exim4 | mail-transport-agent, dbconfig-common, debconf, graphicsmagick, lsb-base (>= 3.0-6), mysql-client, php5, php5-cli, php5-gd, php5-mysql, typo3-src-4.5, ${misc:Depends}
 Recommends: apache2 | http, catdoc, ghostscript, memcached, php5-curl, php5-memcache, php5-suhosin, php5-xcache | php-apc, ppthtml, typo3-database, unrtf, xlhtml, xpdf-utils
 Description: web content management system (basic site structure)
  TYPO3 is an enterprise-level content management system for use on the web
