=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg1[~]*//,uversionmangle=s/([a-z]+\d+)$/~$1/" \
  http://sf.net/typo3/blankpackage-(.*)\.zip
